# RPM Spec file for Jultaf
#
# Author: Stefan Hornburg <racke.gundel.han.de>
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

Summary: Jumble Library for Tcl and Friends
Name: jultaf
Version: 0.0.4
Release: 1
Requires: tcl >= 8.0, tcl-devel >= 8.0, rpm-devel
Group: Development/Languages/Tcl
Source: http://www.han.de/~racke/jultaf/jultaf-%{version}.tar.gz
URL: http://www.han.de/~racke/jultaf/
Copyright: GPL
BuildRoot: /var/tmp/%{name}

%define info jultaf.info

%description
Jultaf is a collection of Tcl and [incr Tcl] scripts and
provides procedures resp. classes with various purposes. Additionally 
a shared library for accessing GDBM databases from Tcl can be build
with this package. Support for POSTGRES databases is planned.

%prep
%setup

%build
CONFIG_SITE=
ITCLSH=/usr/bin/tclsh ./configure --prefix=/usr --datadir=/usr/lib --with-gdbm --with-pq --with-rpm
make

%install
make prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/lib install

%post
if which install-info > /dev/null; then
    for file in %{info}; do
        install-info /usr/info/$file /usr/info/dir
   	done
fi

%preun
if [ $1 = 0 ]; then
	if which install-info > /dev/null; then
    	for file in %{info}; do
        	install-info --delete /usr/info/$file /usr/info/dir
	    done	
	fi	
fi

%files
%doc html/jultaf.html html/new.gif html/exp.gif sgml/jultaf.sgml
%doc README NEWS CREDITS COPYING ChangeLog
%defattr(-,root,root)
/usr/lib/jultaf0.0.4
/usr/lib/jultaf
/usr/lib/libjufgdbm*.so
/usr/lib/libjufpq*.so
/usr/lib/libjufrpm*.so
/usr/info/jultaf.info*
%defattr(-,root,bin)
/usr/bin/jufdist
